List voices (v1)
curl --request GET \
--url https://api.pineyard.ai/v1/voices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/v1/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"gender": "<string>",
"previewUrl": "<string>"
}
]
}Agents
List voices (v1)
Voices your workspace may use. Use a voice id as voice on POST /v1/agents.
GET
/
v1
/
voices
List voices (v1)
curl --request GET \
--url https://api.pineyard.ai/v1/voices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/v1/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"gender": "<string>",
"previewUrl": "<string>"
}
]
}
